jdbcDriver (HSQLDB 1.8.0.10 API)
Keywords: org.hsqldb.jdbcDriver class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Class jdbcDriver

    java.lang.Object
      org.hsqldb.jdbcDriver

All Implemented Interfaces:
  java.sql.Driver

public class jdbcDriver
extends java.lang.Object
implements java.sql.Driver

Each JDBC driver must supply a class that implements the Driver interface.

The Java SQL framework allows for multiple database drivers.

The DriverManager will try to load as many drivers as it can find and then for any given connection request, it will ask each driver in turn to try to connect to the target URL.

The application developer will normally not need to call any function of the Driver directly. All required calls are made by the DriverManager.

### HSQLDB-Specific Information:

When the HSQL Database Engine Driver class is loaded, it creates an instance of itself and register it with the DriverManager. This means that a user can load and register the HSQL Database Engine driver by calling

     Class.forName("org.hsqldb.jdbcDriver")

For more information about how to connect to a HSQL Database Engine database, please see jdbcConnection.

As of version 1.7.0 all JDBC 2 methods can be called with jdk 1.1.x. Some of these method calls require int values that are defined in JDBC 2 version of ResultSet. These values are defined in the jdbcResultSet class when it is compiled with jdk 1.1.x. When using the JDBC 2 methods that require those values as parameters or return one of those values, refer to them as follows: (The code will not be compatible with other JDBC 2 driver, which require ResultSet to be used instead of jdbcResultSet) (fredt@users)

jdbcResultSet.FETCH_FORWARD
jdbcResultSet.TYPE_FORWARD_ONLY
jdbcResultSet TYPE_SCROLL_INSENSITIVE
jdbcResultSet.CONCUR_READ_ONLY

See Also:
  `jdbcConnection`

Constructor Summary
`jdbcDriver()`

Method Summary
`boolean` | `acceptsURL(java.lang.String url)` Returns true if the driver thinks that it can open a connection to the given URL.
`java.sql.Connection` | `connect(java.lang.String url, java.util.Properties info)` Attempts to make a database connection to the given URL.
`static java.sql.Connection` | `getConnection(java.lang.String url, java.util.Properties info)`
`int` | `getMajorVersion()` Gets the driver's major version number.
`int` | `getMinorVersion()` Gets the driver's minor version number.
`java.sql.DriverPropertyInfo[]` | `getPropertyInfo(java.lang.String url, java.util.Properties info)` Gets information about the possible properties for this driver.
`boolean` | `jdbcCompliant()` Reports whether this driver is a genuine JDBC COMPLIANTTM driver.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### jdbcDriver

    public jdbcDriver()

Method Detail

### connect

    public java.sql.Connection connect(java.lang.String url,
                                       java.util.Properties info)
                                throws java.sql.SQLException

  Attempts to make a database connection to the given URL. The driver returns "null" if it realizes it is the wrong kind of driver to connect to the given URL. This will be common, as when the JDBC driver manager is asked to connect to a given URL it passes the URL to each loaded driver in turn.

  The driver raises a SQLException if it is the right driver to connect to the given URL, but has trouble connecting to the database.

  The java.util.Properties argument can be used to passed arbitrary string tag/value pairs as connection arguments.

  ### HSQLDB-Specific Information:

  For HSQL Database Engine, at least "user" and "password" properties must be included in the Properties. From version 1.7.1 two optional properties are supported:

  `get_column_name` if set to false, a ResultSetMetaData.getColumnName() call will return the user defined label instead of the column name. `strict_md` if set to true, some ResultSetMetaData methods return more strict values for compatibility reasons.

  Specified by:
    `connect` in interface `java.sql.Driver`
  Parameters:
    `url` - the URL of the database to which to connect
    `info` - a list of arbitrary string tag/value pairs as connection arguments. Normally at least a "user" and "password" property should be included.
  Returns:
    a `Connection` object that represents a connection to the URL
  Throws:
    `java.sql.SQLException` - if a database access error occurs

### getConnection

    public static java.sql.Connection getConnection(java.lang.String url,
                                                    java.util.Properties info)
                                             throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### acceptsURL

    public boolean acceptsURL(java.lang.String url)

  Returns true if the driver thinks that it can open a connection to the given URL. Typically drivers will return true if they understand the subprotocol specified in the URL and false if they don't.

  Specified by:
    `acceptsURL` in interface `java.sql.Driver`
  Parameters:
    `url` - the URL of the database
  Returns:
    true if this driver can connect to the given URL

### getPropertyInfo

    public java.sql.DriverPropertyInfo[] getPropertyInfo(java.lang.String url,
                                                         java.util.Properties info)

  Gets information about the possible properties for this driver.

  The getPropertyInfo method is intended to allow a generic GUI tool to discover what properties it should prompt a human for in order to get enough information to connect to a database. Note that depending on the values the human has supplied so far, additional values may become necessary, so it may be necessary to iterate though several calls to getPropertyInfo.

  ### HSQLDB-Specific Information:

  HSQLDB 1.7.2 uses the values submitted in info to set the value for each DriverPropertyInfo object returned. It does not use the default value that it would use for the property if the value is null.

  Specified by:
    `getPropertyInfo` in interface `java.sql.Driver`
  Parameters:
    `url` - the URL of the database to which to connect
    `info` - a proposed list of tag/value pairs that will be sent on connect open
  Returns:
    an array of DriverPropertyInfo objects describing possible properties. This array may be an empty array if no properties are required.

### getMajorVersion

    public int getMajorVersion()

  Gets the driver's major version number.

  Specified by:
    `getMajorVersion` in interface `java.sql.Driver`
  Returns:
    this driver's major version number

### getMinorVersion

    public int getMinorVersion()

  Gets the driver's minor version number.

  Specified by:
    `getMinorVersion` in interface `java.sql.Driver`
  Returns:
    this driver's minor version number

### jdbcCompliant

    public boolean jdbcCompliant()

  Reports whether this driver is a genuine JDBC COMPLIANTTM driver. A driver may only report true here if it passes the JDBC compliance tests; otherwise it is required to return false. JDBC compliance requires full support for the JDBC API and full support for SQL 92 Entry Level. It is expected that JDBC compliant drivers will be available for all the major commercial databases.

  ### HSQLDB-Specific Information:

  HSQL Database Engine currently does not yet support all required SQL 92 Entry Level functionality and thus returns false. It looks like other drivers return true but do not support all features.

  This method is not intended to encourage the development of non-JDBC compliant drivers, but is a recognition of the fact that some vendors are interested in using the JDBC API and framework for lightweight databases that do not support full database functionality, or for special databases such as document information retrieval where a SQL implementation may not be feasible.

  Specified by:
    `jdbcCompliant` in interface `java.sql.Driver`
  Returns:
    Description of the Return Value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 - 2005 HSQL Development Group. All Rights Reserved.